<?php
// $Id: revisiontags.views_default.inc,v 1.1.2.2 2010/03/03 14:16:28 franskuipers Exp $
/**
 * @file revisiontags.views_default.inc
 * Definition of revisiontag views.
 */

/**
 * Implementation of hook_default_view_views().
 */
function revisiontags_views_default_views() {
  $view = new view;
  $view->name = 'revision_tags';
  $view->description = 'A list of all nodes with revisiontags';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'revision_tags';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = TRUE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('relationships', array(
    'vid' => array(
      'label' => 'node.vid',
      'required' => 1,
      'id' => 'vid',
      'table' => 'revision_tags',
      'field' => 'vid',
      'relationship' => 'none',
    ),
    'uid' => array(
      'label' => 'user',
      'required' => 0,
      'id' => 'uid',
      'table' => 'node_revisions',
      'field' => 'uid',
      'relationship' => 'vid',
      'override' => array(
	'button' => 'Override',
      ),
    ),
  ));
  $handler->override_option('fields', array(
    'timestamp' => array(
      'label' => 'Created date',
      'alter' => array(
	'alter_text' => 0,
	'text' => '',
	'make_link' => 0,
	'path' => '',
	'link_class' => '',
	'alt' => '',
	'prefix' => '',
	'suffix' => '',
	'target' => '',
	'help' => '',
	'trim' => 0,
	'max_length' => '',
	'word_boundary' => 1,
	'ellipsis' => 1,
	'strip_tags' => 0,
	'html' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'date_format' => 'small',
      'custom_date_format' => '',
      'exclude' => 0,
      'id' => 'timestamp',
      'table' => 'node_revisions',
      'field' => 'timestamp',
      'relationship' => 'vid',
    ),
    'name' => array(
      'label' => 'Name',
      'alter' => array(
	'alter_text' => 0,
	'text' => '',
	'make_link' => 0,
	'path' => '',
	'link_class' => '',
	'alt' => '',
	'prefix' => '',
	'suffix' => '',
	'target' => '',
	'help' => '',
	'trim' => 0,
	'max_length' => '',
	'word_boundary' => 1,
	'ellipsis' => 1,
	'strip_tags' => 0,
	'html' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_user' => 1,
      'overwrite_anonymous' => 0,
      'anonymous_text' => '',
      'exclude' => 0,
      'id' => 'name',
      'table' => 'users',
      'field' => 'name',
      'relationship' => 'vid',
      'override' => array(
	'button' => 'Override',
      ),
    ),
    'nid' => array(
      'label' => 'Nid',
      'alter' => array(
	'alter_text' => 0,
	'text' => '',
	'make_link' => 0,
	'path' => '',
	'link_class' => '',
	'alt' => '',
	'prefix' => '',
	'suffix' => '',
	'target' => '',
	'help' => '',
	'trim' => 0,
	'max_length' => '',
	'word_boundary' => 1,
	'ellipsis' => 1,
	'strip_tags' => 0,
	'html' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'nid',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'vid',
    ),
    'tag_title' => array(
      'label' => 'Title',
      'alter' => array(
	'alter_text' => 0,
	'text' => '',
	'make_link' => 0,
	'path' => '',
	'link_class' => '',
	'alt' => '',
	'prefix' => '',
	'suffix' => '',
	'target' => '',
	'help' => '',
	'trim' => 0,
	'max_length' => '',
	'word_boundary' => 1,
	'ellipsis' => 1,
	'strip_tags' => 0,
	'html' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'tag_title',
      'table' => 'node_revisions',
      'field' => 'tag_title',
      'relationship' => 'vid',
    ),
    'tag' => array(
      'label' => 'Revisiontag',
      'alter' => array(
	'alter_text' => 0,
	'text' => '',
	'make_link' => 0,
	'path' => '',
	'link_class' => '',
	'alt' => '',
	'prefix' => '',
	'suffix' => '',
	'target' => '',
	'help' => '',
	'trim' => 0,
	'max_length' => '',
	'word_boundary' => 1,
	'ellipsis' => 1,
	'strip_tags' => 0,
	'html' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'tag',
      'table' => 'revision_tags',
      'field' => 'tag',
      'override' => array(
	'button' => 'Override',
      ),
      'relationship' => 'none',
    ),
    'delete_revision' => array(
      'label' => 'Delete',
      'alter' => array(
	'alter_text' => 0,
	'text' => '',
	'make_link' => 0,
	'path' => '',
	'link_class' => '',
	'alt' => '',
	'prefix' => '',
	'suffix' => '',
	'target' => '',
	'help' => '',
	'trim' => 0,
	'max_length' => '',
	'word_boundary' => 1,
	'ellipsis' => 1,
	'strip_tags' => 0,
	'html' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'text' => '',
      'exclude' => 0,
      'id' => 'delete_revision',
      'table' => 'node_revisions',
      'field' => 'delete_revision',
      'relationship' => 'vid',
    ),
    'revert_revision' => array(
      'label' => 'Revert',
      'alter' => array(
	'alter_text' => 0,
	'text' => '',
	'make_link' => 0,
	'path' => '',
	'link_class' => '',
	'alt' => '',
	'prefix' => '',
	'suffix' => '',
	'target' => '',
	'help' => '',
	'trim' => 0,
	'max_length' => '',
	'word_boundary' => 1,
	'ellipsis' => 1,
	'strip_tags' => 0,
	'html' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'text' => '',
      'exclude' => 0,
      'id' => 'revert_revision',
      'table' => 'node_revisions',
      'field' => 'revert_revision',
      'relationship' => 'vid',
    ),
  ));
  $handler->override_option('sorts', array(
    'nid' => array(
      'order' => 'DESC',
      'id' => 'nid',
      'table' => 'node',
      'field' => 'nid',
      'relationship' => 'vid',
    ),
    'vid' => array(
      'order' => 'DESC',
      'id' => 'vid',
      'table' => 'node_revisions',
      'field' => 'vid',
      'relationship' => 'vid',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'perm',
    'perm' => 'view tagged revisions',
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 0,
    'order' => 'asc',
    'columns' => array(
      'timestamp' => 'timestamp',
      'tag_title' => 'tag_title',
    ),
    'info' => array(
      'timestamp' => array(
	'sortable' => 0,
	'separator' => '',
      ),
      'tag_title' => array(
	'sortable' => 0,
	'separator' => '',
      ),
    ),
    'default' => '-1',
  ));
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->override_option('path', 'revisiontags');
  $handler->override_option('menu', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
    'name' => 'navigation',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
  ));
  $views[$view->name] = $view;

  return $views;
}
